A campaign report's Revenue section: upgrades and conversions credited to it
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/revenue"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/revenue';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/revenue \ --header 'Authorization: Bearer <token>'Permission: campaigns:view
Without earn:view the answer is locked and names who can show it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
The campaign’s id
The campaign’s id
Responses
Section titled “Responses”OK
object
object
object
object
object
Example generated
{ "active": true, "checkouts": 1, "collected": [ { "amountCents": 1, "count": 1 } ], "collectedCents": 1, "conversions": { "byEmail": 1, "byToken": 1, "count": 1, "currency": "example", "domains": [ "example" ], "name": "example", "sender": "example", "typicalCents": 1, "valueCents": 1 }, "currency": "example", "delivered": 1, "hasUpgradeLinks": true, "helpers": [ "example" ], "locked": true, "name": "example", "newMrrCents": 1, "paidAtOnce": 1, "paidLines": [ { "count": 1, "offer": "example", "period": "example", "tier": "example" } ], "pending": true, "potentialMrrCents": 1, "sentAt": "2026-04-15T12:00:00Z", "trialLines": [ { "count": 1, "offer": "example", "period": "example", "tier": "example" } ], "trials": 1, "trialsEnd": "2026-04-15T12:00:00Z", "upgradeClicks": 1, "upgradedRate": 1, "upgrades": 1, "window": 1}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}